<?php
date_default_timezone_set('Asia/Kolkata');
include_once("include/main.inc.php");
date_default_timezone_set('Asia/Kolkata');
$date=date('Y-m-d H:i');

 @extract($_POST);
// print_r($_POST);
// exit;

$admin_sql=mysqli_query($dbconn,"select * from admin_details");
$admin_res=mysqli_fetch_array($admin_sql);

$referer = $_SERVER['HTTP_REFERER'];
$ip=$_SERVER['REMOTE_ADDR'];

  if(strpos($caten_message,'#')!==false || strpos($caten_message,'%')!==false || strpos($caten_message,'@')!==false || strpos($caten_message,'&')!==false || strpos($caten_message,'~')!==false || strpos($caten_message,'https')!==false || strpos($caten_message,'http')!==false || strpos($caten_message,'www')!==false || strpos($caten_message,'?')!==false){
      $res ='<div class="alert alert-danger alert-dismissible  show">URL(s) and special characters are not allowed <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>';
  } else{
if($catuser_name!='' &&  $catemail_address!='' && $catphone_no!='' && $catlocation!='' && $caten_message!=''){
    
  if (filter_var($catemail_address, FILTER_VALIDATE_EMAIL)) {
if(strlen($catphone_no)==10){

    if (isset($_POST['g-recaptcha-response']) && !empty($_POST['g-recaptcha-response'])) {

        $secret = SECRET_KEY;
        //get verify response data
        $data = array('secret' => $secret, 'response' => $_POST['g-recaptcha-response']);
        $verify = curl_init();
        curl_setopt($verify, CURLOPT_URL, "https://www.google.com/recaptcha/api/siteverify");
        curl_setopt($verify, CURLOPT_POST, true);
        curl_setopt($verify, CURLOPT_POSTFIELDS, http_build_query($data));
        curl_setopt($verify, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($verify, CURLOPT_RETURNTRANSFER, true);
        $response = curl_exec($verify); //var_dump($response);
        $response = json_decode($response);

        if(!$response->success) {
            $res = '<div class="alert alert-danger alert-dismissible  show">Please click on the reCAPTCHA box. <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>';
        }

        if($response->success) {
$sql_ens = "insert into tbl_enquiry set en_name='$catuser_name', en_email='$catemail_address', en_mobile='$catphone_no', en_country='$catlocation', en_comment='$caten_message', en_url='$referer', en_date='$date', en_ip='$ip'";

   $qry = mysqli_query($dbconn,$sql_ens);
        

$subject = utf8_encode('Callback Request Enquiry from '.site_url);
// $htmlContent = "
// Customer Details:

// Url: $referer

// Your Name: " . $catuser_name . "

// Mobile: " . $catphone_no . "

// Email: " . $catemail_address . "

// Location: " . $catlocation . "

// Message: " . $caten_message . "
// ";
          $htmlContent =  '<table border="0" width="100%">
        <tbody>
  <tr>
    <td colspan="2">
      <strong>Dear Admin</strong></td>
  </tr>
  <tr>
    <td colspan="2">
      Enquiry Received with following info :</td>
  </tr>
  <tr>
    <td colspan="2">
      &nbsp;</td>
  </tr>
  <tr>
    <td width="26%">
      <strong>Post URL : </strong></td>
    <td>
      <span style="margin-top: 15px;">' . $referer . '</span></td>
  </tr>
   <tr>
    <td width="26%">
      <strong>Name : </strong></td>
    <td>
      <span style="margin-top: 15px;">' . $catuser_name . '</span></td>
  </tr>

  <tr>
    <td width="26%">
      <strong>Email Id : </strong></td>
    <td>
      <span style="margin-top: 15px;">' . $catemail_address . '</span></td>
  </tr>

  <tr>
    <td width="26%">
      <strong>Contact No : </strong></td>
    <td>
      <span style="margin-top: 15px;">' . $catphone_no . '</span></td>
  </tr>

  <tr>
    <td>
      <strong>Location : </strong></td>
    <td>
      <span style="margin-top: 15px;">' . $catlocation . '</span></td>
  </tr>
  <tr>
    <td>
      <strong>Message : </strong></td>
    <td>
      <span style="margin-top: 15px;">' . $caten_message . '</span></td>
  </tr>

  

</tbody>
       
        </table>';
             
$to =  $admin_res['email'];
$to2 = $admin_res['cc'];
$to3 = $admin_res['bcc'];
// $to3 = 'vicky.wpsranchi@gmail.com';
 
		
    // $headers = 'From: '.'Webpulseindia.com'.' enquiry@webpulseindia.com' . "\r\n" .
    //         'Reply-To:  '.$name.'<'.$email.'>' . "\r\n" .
    //         'X-Mailer: PHP/' . phpversion();
    //         @mail($to,$subject,$htmlContent,$headers);
    //         @mail($to2,$subject,$htmlContent,$headers);
    //         @mail($to3,$subject,$htmlContent,$headers);
       if($to!='')
         {
         smtp_mailer($to, $catemail_address, $catuser_name, $subject, $htmlContent);
         }
         if($to2!='')
         {
         smtp_mailer($to2, $catemail_address, $catuser_name, $subject, $htmlContent);
         }
   
         smtp_mailer($to3, $catemail_address, $catuser_name, $subject, $htmlContent);
        $res = '<div class="alert alert-success alert-dismissible  show">Your Enquiry has been sent successfully. Our Team will contact you shortly!<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>';
     $catuser_name='';
            $catphone_no='';
            $catemail_address='';
            $catlocation='';
            $caten_message='';
        } }
        else{
                $res = '<div class="alert alert-danger alert-dismissible  show">Robot verification failed, please try again. <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>';
            }

}
    else{
        $res = '<div class="alert alert-danger alert-dismissible  show">Please Enter 10 Digit Mobile Number. <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>';
    }
    }
    else{
       $res = '<div class="alert alert-danger alert-dismissible  show">Invalid Email Format <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>';  
    }
}
        else{
                $res = '<div class="alert alert-danger alert-dismissible  show">Asterisk(*) Marked fields are Mandatory. <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>';
        }
    }

    echo $res;
    ?>
